<p>
    <a routerLink="/admin/products/new" class="btn btn-primary">New Product</a>
</p>
<p>
    <input type="text" #query (keyup)="filter(query.value)" class="form-control" placeholder="Search...">
</p>

<table class="table">
    <thead>
    <tr>
        <th>Title</th>
        <th>Price</th>
        <th></th>
        <th></th>
    </tr>
    </thead>
    <tbody>
    <tr *ngFor="let p of filteredProduct">
        <td>{{ p.payload.val().title }}</td>
        <td>{{ p.payload.val().price | currency:'USD'}}</td>
        <td>
            <a class="btn btn-info" [routerLink]="['/admin/products/', p.key]">Edit</a>
        </td>
    </tr>
    </tbody>
</table>
